_AS_STRINGS = {};
_AS_STRINGS.DATASYNC_ONE_DRIVE = {};
_AS_STRINGS.DATASYNC_ONE_DRIVE.SIGN_IN = 'Sign In';
_AS_STRINGS.DATASYNC_ONE_DRIVE.ACCOUNT_INFORMATION = 'Information';
_AS_STRINGS.DATASYNC_ONE_DRIVE.LOCATION = 'Local sync folder';
_AS_STRINGS.DATASYNC_ONE_DRIVE.UNLINK = 'Unlink this NAS';
_AS_STRINGS.DATASYNC_ONE_DRIVE.NAME = 'Account';
_AS_STRINGS.DATASYNC_ONE_DRIVE.LINK = 'OneDrive Business Location';
_AS_STRINGS.DATASYNC_ONE_DRIVE.QUOTA = 'Total capacity';
_AS_STRINGS.DATASYNC_ONE_DRIVE.AVAILABLE = 'Available';
_AS_STRINGS.DATASYNC_ONE_DRIVE.STATUS = 'Status';
_AS_STRINGS.DATASYNC_ONE_DRIVE.OPEN = 'Open'
//status
_AS_STRINGS.DATASYNC_ONE_DRIVE.START = 'Resume';
_AS_STRINGS.DATASYNC_ONE_DRIVE.STOP = 'Pause';
//sync status
_AS_STRINGS.DATASYNC_ONE_DRIVE.CREATE_FOLDER = 'Create destination folder';
_AS_STRINGS.DATASYNC_ONE_DRIVE.LOCAL_FULL = '(Local Folder) Destination data volume is full.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.REMOTE_FULL = '(OneDrive Business) Storage space full.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.NOT_EXISTED_FOLDER = '(Local Folder) Sync folder does not exist.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.REMOTE_INDEX = '(OneDrive Business) Indexing';
_AS_STRINGS.DATASYNC_ONE_DRIVE.LOCAL_INDEX = '(Local Folder) Indexing';
_AS_STRINGS.DATASYNC_ONE_DRIVE.IDLE = 'Idle';


// Error messages
_AS_STRINGS.DATASYNC_ONE_DRIVE.FILE_IS_BUSY = 'Can not lock the configuration file.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.KEY_REJECTED = 'Key was rejected by service.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.OUT_OF_MEMORY = 'Out of memory.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.FILE_SYSTEM_READ_ONLY = 'File system is Read only.';

//Settings

_AS_STRINGS.DATASYNC_ONE_DRIVE.SELECTED_FOLDER_NAME = 'New Local Sync Folder';
_AS_STRINGS.DATASYNC_ONE_DRIVE.CURRENT_FOLDER_NAME = 'Current Local Sync Folder';
_AS_STRINGS.DATASYNC_ONE_DRIVE.FOLDER_SETTINGS = 'Folder Settings';
_AS_STRINGS.DATASYNC_ONE_DRIVE.PLEASE_SELECT_LOCAL_FOLDER = 'Select a local sync folder.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.DO_NOT_SYNC_FOLDER = 'Select the OneDrive Business folder(s) which will be synced.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.FILE_FILTER = 'Filter';
_AS_STRINGS.DATASYNC_ONE_DRIVE.TRAFFIC_CONTROL = 'Bandwidth Limitation';
_AS_STRINGS.DATASYNC_ONE_DRIVE.SIZE_LIMIT = 'File size exceeds (MB)';
_AS_STRINGS.DATASYNC_ONE_DRIVE.UPLOAD_LIMIT = 'Limited maximum upload speed (KB/s)';
_AS_STRINGS.DATASYNC_ONE_DRIVE.DOWNLOAD_LIMIT = 'Limited maximum download speed (KB/s)';
_AS_STRINGS.DATASYNC_ONE_DRIVE.KEEP_EXTRA = 'When files are deleted on the source, also delete the corresponding files at the destination.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.SYNCHRONIZITION = 'Synchronizition (2-way)';
_AS_STRINGS.DATASYNC_ONE_DRIVE.DATASYNC_ONE_DRIVE_TO_NAS = 'OneDrive Business to NAS (one-way)';
_AS_STRINGS.DATASYNC_ONE_DRIVE.NAS_TO_DATASYNC_ONE_DRIVE = 'NAS to OneDrive Business (one-way)';
_AS_STRINGS.DATASYNC_ONE_DRIVE.FILTER_TEXT = 'File exclusions: Here you can set filtering rules. A file will not be synchronized if it meets any of the conditions configured below.';

//Filter Type
_AS_STRINGS.DATASYNC_ONE_DRIVE.DOCUMENT = 'Documents';
_AS_STRINGS.DATASYNC_ONE_DRIVE.VIDEO = 'Video';
_AS_STRINGS.DATASYNC_ONE_DRIVE.MUSIC = 'Audio';
_AS_STRINGS.DATASYNC_ONE_DRIVE.PHOTO = 'Images';
_AS_STRINGS.DATASYNC_ONE_DRIVE.APPLICATION = 'Applications';
_AS_STRINGS.DATASYNC_ONE_DRIVE.FILTER_RULES_1 = 'Only one filter rule can be added at a time.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.FILTER_RULES_2 = 'Entering *.abc will cause all files with the file extension abc to be excluded.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.FILTER_RULES_3 = 'Entering abc.* will cause all files named abc to be excluded.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.FILTER_RULES_4 = 'Entering *abc* will cause all files with names containing abc to be excluded.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.FILTER_RULES_5 = 'An asterisk used as a wildcard can only be used at the beginning or the end of a filtering rule, not in the middle of the term.';

//Config panel
_AS_STRINGS.DATASYNC_ONE_DRIVE.DATASYNC_ONE_DRIVE_LIMIT_TEXT = 'Note: Due to OneDrive Business limitations, files in the following circumstances will not be synchronized.';
_AS_STRINGS.DATASYNC_ONE_DRIVE.DATASYNC_ONE_DRIVE_LIMIT_RULE1 = '(1) Individual files greater than 15GB in size.';
